# $Revision: 1.31 $, $Date: 2010/05/11 11:08:29 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
%define		xfce_version	4.6.1
Summary:	Xfce file manager
Summary(pl.UTF-8):	Zarządca plików Xfce
Name:		Thunar
Version:	1.0.1
Release:	8
License:	GPL v2 / LGPL v2
Group:		X11/Applications
Source0:	http://www.xfce.org/archive/xfce-%{xfce_version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	218373aa45d74b6ba8c69c4d5af3bb19
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-libpng.patch
URL:		http://thunar.xfce.org/
BuildRequires:	GConf2-devel >= 2.16.0
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.8
BuildRequires:	dbus-glib-devel >= 0.62
BuildRequires:	docbook-dtd412-xml
BuildRequires:	exo-devel >= 0.3.100
BuildRequires:	gamin-devel >= 0.1.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.12.4
BuildRequires:	gtk+2-devel >= 2:2.10.6
BuildRequires:	gtk-doc >= 1.7
BuildRequires:	hal-devel >= 0.5.7
BuildRequires:	intltool
BuildRequires:	libexif-devel >= 0.6.13
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 1.2.12
BuildRequires:	libtool
BuildRequires:	libxfce4util-devel >= %{xfce_version}
BuildRequires:	libxfcegui4-devel >= %{xfce_version}
BuildRequires:	pcre-devel >= 6.0
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	xfce4-dev-tools
BuildRequires:	xfce4-panel-devel >= %{xfce_version}
BuildRequires:	xfconf-devel >= %{xfce_version}
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
Requires:	%{name}-libs = %{version}-%{release}
Requires:	exo >= 0.3.100
Requires:	hal >= 0.5.7
Requires:	shared-mime-info >= 0.15
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Thunar is a modern file manager, aiming to be easy-to-use and fast.

%description -l pl.UTF-8
Thunar jest nowoczesnym zarządcą plików, nakierowanym na łatwość i
szybkość użycia.

%package apidocs
Summary:	Thunar API documentation
Summary(pl.UTF-8):	Dokumentacja API Thunar
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Thunar API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Thunar.

%package libs
Summary:	Thunar libraries
Summary(pl.UTF-8):	Biblioteki Thunar
Group:		X11/Libraries

%description libs
Thunar libraries.

%description libs -l pl.UTF-8
Biblioteki Thunar.

%package devel
Summary:	Header files for Thunar libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek Thunar
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	exo-devel >= 0.3.100
Requires:	gtk+2-devel >= 2:2.10.6

%description devel
This is the package containing the header files for Thunar libraries.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki Thunar.

%package static
Summary:	Static Thunar libraries
Summary(pl.UTF-8):	Statyczne biblioteki Thunar
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Thunar libraries.

%description static -l pl.UTF-8
Statyczne biblioteki Thunar.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--enable-dbus \
	--enable-exif \
	--enable-gnome-thumbnailers \
	--enable-gtk-doc \
	--enable-pcre \
	--enable-startup-notification \
	--with-html-dir=%{_gtkdocdir} \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/thunarx-1/*.{a,la}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}/xdg/Thunar
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/Thunar/*.xml
%attr(755,root,root) %{_libdir}/ThunarBulkRename
%attr(755,root,root) %{_libdir}/ThunarHelp
%attr(755,root,root) %{_libdir}/thunar-vfs-*
%attr(755,root,root) %{_libdir}/thunar-sendto-email
%dir %{_libdir}/thunarx-1
%attr(755,root,root) %{_libdir}/thunarx-1/*.so
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/thunar-tpa

%{_datadir}/Thunar
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/dbus-1/services/*.service
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/*/*
%{_pixmapsdir}/Thunar
%{_mandir}/man1/Thunar*

# FIXME: maybe it's common dir?
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/*.desktop

%dir %{_docdir}/Thunar
# move it to proper place
%{_docdir}/Thunar/README*

%dir %{_docdir}/Thunar/html
%{_docdir}/Thunar/*.txt
%{_docdir}/Thunar/html/C
%{_docdir}/Thunar/html/*.css
%lang(da) %{_docdir}/Thunar/html/da
%lang(es) %{_docdir}/Thunar/html/es
%lang(eu) %{_docdir}/Thunar/html/eu
%lang(fr) %{_docdir}/Thunar/html/fr
%lang(gl) %{_docdir}/Thunar/html/gl
%lang(it) %{_docdir}/Thunar/html/it
%lang(ja) %{_docdir}/Thunar/html/ja
%lang(nl) %{_docdir}/Thunar/html/nl
%lang(pl) %{_docdir}/Thunar/html/pl
%lang(ru) %{_docdir}/Thunar/html/ru
%lang(tr) %{_docdir}/Thunar/html/tr
%lang(zh_TW) %{_docdir}/Thunar/html/zh_TW

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/thunar-vfs
%{_gtkdocdir}/thunarx

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libthunar-vfs-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libthunar-vfs-1.so.2
%attr(755,root,root) %{_libdir}/libthunarx-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libthunarx-1.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libthunar-vfs-1.so
%attr(755,root,root) %{_libdir}/libthunarx-1.so
%{_libdir}/libthunar-vfs-1.la
%{_libdir}/libthunarx-1.la
%{_includedir}/thunar-vfs-1
%{_includedir}/thunarx-1
%{_pkgconfigdir}/thunar-vfs-1.pc
%{_pkgconfigdir}/thunarx-1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libthunar-vfs-1.a
%{_libdir}/libthunarx-1.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Thunar.spec,v $
Revision 1.31  2010/05/11 11:08:29  baggins
- rel 8
- really XFCE only

Revision 1.30  2010/05/11 10:55:14  baggins
- rel 7
- XFCE only

Revision 1.29  2010/05/11 10:20:05  baggins
- rel 6
- desktop file cleanup

Revision 1.28  2010/02/01 22:43:20  sparky
- BR: docbook-dtd412-xml, xfce4-dev-tools

Revision 1.27  2010/01/30 00:59:28  megabajt
- added -libpng.patch
- release 5

Revision 1.26  2010/01/29 20:48:26  arekm
- release 4

Revision 1.25  2009/07/12 13:17:08  arekm
- release 3

Revision 1.24  2009/06/17 14:08:03  hawk
- release 2

Revision 1.23  2009/04/27 07:43:09  adamg
- updated to 1.0.1

Revision 1.22  2009/02/27 22:14:50  megabajt
- updated to 1.0.0
- removed obsolete -locale-names.patch and -missing-audio-cds-for-volman.patch

Revision 1.21  2008/11/09 19:20:48  megabajt
- release 3

Revision 1.20  2008/10/29 21:14:34  blues
- rel.2 - nn_NO locale fixed

Revision 1.19  2008/10/27 22:52:58  blues
- 0.9.3

Revision 1.18  2008/10/24 19:47:17  baggins
- rel 3
- BR libxfcegui4-devel

Revision 1.17  2008/10/24 19:40:48  baggins
- rel 2
- exact BR and R on gamin

Revision 1.16  2007-12-05 20:58:11  megabajt
- updated to 0.9.0
- added locale-names and missing-audio-cds-for-volman patches

Revision 1.15  2007-04-03 18:11:35  megabajt
- added desktop patch
- use %update_desktop_database_post{,un}
- release 2

Revision 1.14  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.12  2007/01/22 15:24:54  megabajt
- updated to 0.8.0 (Xfce 4.4.0)
- added apidocs subpackage

Revision 1.11  2006/12/22 16:01:34  arekm
- rel .2

Revision 1.10  2006/11/06 15:17:46  megabajt
- up to 0.5.0rc2 (Xfce 4.4RC2)
- updated deps

Revision 1.9  2006/09/16 13:47:28  megabajt
- added R: libexo-devel to the devel subpackage

Revision 1.8  2006/09/04 20:12:49  megabajt
- up to 0.4.0rc1
- use rpm macros

Revision 1.7  2006/07/16 17:10:21  freetz
- 0.3.2beta2, updated: deps and file list, updated icon cache, --as-needed
  support

Revision 1.6  2006/05/17 04:28:51  charles
- -devel R: {GConf2,dbus-glib,fam,hal,libjpeg}-devel

Revision 1.5  2006/05/17 03:50:59  charles
- without static_libs bcond
- BR: gettext-devel

Revision 1.4  2006/05/17 03:39:30  charles
- BR: intltool

Revision 1.3  2006/05/09 19:00:07  qboosh
- BR: glib2-devel >= 2.6.4, perl-base, pkgconfig

Revision 1.2  2006/05/04 07:45:10  spider
- cosmetics

Revision 1.1  2006/05/03 18:09:33  freetz
- some Xfce stuff ;)
